using System;

namespace Espresso.OMR
{
 
	class StaffRegion
	{
		protected int y_start_;
		protected int y_end_;

		public StaffRegion() 
		{
			y_start_ = 0;
			y_end_= 0;

		}
    
		public StaffRegion(int y_start, int y_end)
		{
			y_start_ = y_start;
			y_end_ = y_end;
		}

		public void set_top_edge(int y_start) { y_start_=y_start; }
		public void set_bot_edge(int y_end) { y_end_=y_end; }
    
		public int top_edge() { return y_start_; }
		public int bot_edge() { return y_end_; }
		public int thickness() { return y_end_ - y_start_ +1; }
    
	}
}
