
using System;

namespace Espresso.OMR
{
	class MathExtra
	{

		public static double sqr(double v)
		{
			return v*v;
		}

		public static bool sign_bit(double v)
		{
			return v<0.0;
		}

		public static double fmod(double x, double y)
		{
			double remainder =Math.IEEERemainder(x,y);
			if (remainder<0.0) { remainder += y; }
	  
			return remainder;
		}

		public static int irint(double dv)
		{
			int iv = (int)Math.Round(dv);
			return iv;	
		}
	}
}