using System;
using System.Collections.Generic;
using System.Text;

namespace Espresso.Viewer.Controller
{
    class MenuToggleMouseStrategy : MouseStrategy
    {
        public override void LeftClick()
        {
            if (m_Controller.Menu.IsVisible)
            {
                m_Controller.ChooseNextMenuItem();
            }
            else
            {
                m_Controller.ToggleMenu();
            }
        }

        public override void RightClick()
        {
            m_Controller.GoToPreviousPage(true);
        }

        public override void DoubleClick()
        {
        }

        public MenuToggleMouseStrategy(IViewerController controller) : base(controller) { }
    }
}
