using System;
using System.Collections.Generic;
using System.Text;

namespace Espresso.Viewer.Controller
{
    /// <summary>
    /// Makes transition to the previous page on the right click
    /// </summary>
    public class RightClickBackMouseStrategy : MouseStrategy
    {
        public override void LeftClick()
        {
            m_Controller.GoToNextPage(true);
        }

        public override void RightClick()
        {
            m_Controller.GoToPreviousPage(true);
        }

        public override void DoubleClick()
        {
            
        }

        public RightClickBackMouseStrategy(IViewerController controller) : base(controller) { }
    }
}
