using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Espresso.Viewer.View
{
    public partial class EspressoViewer : UserControl
    {
        public EspressoViewer()
        {
            InitializeComponent();
            this.BackColor = Color.Black;

            //Prevent flickering when drawing to the control
            SetStyle(ControlStyles.DoubleBuffer, true);
            SetStyle(ControlStyles.UserPaint, true);
            SetStyle(ControlStyles.AllPaintingInWmPaint, true);

            SetStyle(ControlStyles.ResizeRedraw, true);
        }

        void EspressoViewer_Resize(object sender, EventArgs e)
        {
            this.Invalidate();
        }
    }
}
