﻿using System;
using System.Collections.Generic;
using System.Text;

using System.Windows.Forms;
using System.Drawing;

namespace Espresso.Viewer.View
{
    class MultipleViewStrategy: ViewStrategy
    {
        private Bitmap bitBuffer;
        private Bitmap imageToBeDisplayed;
        private Graphics g;
        private int numberOfPageDisplayed;

        public MultipleViewStrategy(int numberOfPageDisplayed)
        {
            this.numberOfPageDisplayed = numberOfPageDisplayed;
        }

        public void InitialiseBuffers(Control control)
        {
            this.bitBuffer = new Bitmap(control.Size.Width, control.Size.Height);
            g = Graphics.FromImage(this.bitBuffer);

            //Rectangle scaled = SetUpCanvas(control, numberOfPageDisplayed);

            //this.ScaledNewImage = (Bitmap)imageToBeDisplayed.GetThumbnailImage(scaled.Width, scaled.Height, null, System.IntPtr.Zero);
        }

        /// <summary>
        /// Set up the canvas; comprises of many rectangles for each page to be drawn on
        /// </summary>
        /// <param name="control"></param>
        /// <param name="numViews"></param>
        /// <returns></returns>
        //public List<Rectangle> SetUpCanvas(Control control, int numDisplayedPages)
        //{
            //List<Rectangle> rectangles = new List<Rectangle>();
            //for(int i = 0; i < numViews; i++) {
            //    float scaleFactor = (float)(control.Width / numDisplayedPages) / (float)NewImage.Width;
            //    int scaledWidth = (int)(NewImage.Width * scaleFactor);
            //    int scaledHeight = (int)(NewImage.Height * scaleFactor);
            //    Point scaledOrigin = new Point(i * scaledWidth, (control.Height - scaledHeight) / 2);
            //    Rectangle scaledRectangle = new Rectangle(scaledOrigin.X,
            //                                              scaledOrigin.Y,
            //                                              scaledWidth,
            //                                              scaledHeight);
            //    rectangles.Add(scaledRectangle);
            //}
            
            //return rectangles;
        //}
    }
}
