using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Espresso.Viewer.View
{
    public partial class ProgressPanel : UserControl
    {
        public int Value
        {
            get
            {
                return pb_FileOpenProgressBar.Value;
            }
            set
            {
                pb_FileOpenProgressBar.Value = value;
            }
        }

        public void Reset(int initialValue, int step)
        {
            Value = initialValue;
            pb_FileOpenProgressBar.Step = step;
        }

        public void PerformProgressBarStep()
        {
            pb_FileOpenProgressBar.PerformStep();
        }

        public ProgressPanel()
        {
            InitializeComponent();
        }

        private void ProgressPanel_Load(object sender, EventArgs e)
        {

        }
    }
}
