using System;

namespace Espresso.OMR
{
	abstract class BaseIvLinkAbstract // not used, C# doesn't allow for abstract static methods
	{
		 public abstract  void reset_computed(ComputingCircle computing_circle);
		 public abstract  void computed_so_far(ComputingCircle computing_circle, int computed);
		 public abstract  void warning_dialog(object window, string message);
	}

	class BaseIvLink
	{
		public static void reset_computed(ComputingCircle computing_circle)
		{
			// carry out request silently
		}

		public static void computed_so_far(ComputingCircle computing_circle,int computed)
		{
			// carry out request silently
		}

		public static void warning_dialog(object window, string message)
		{
			Console.Out.WriteLine(message);
		}
	}

}
