using System;
using System.Collections.Generic;
using System.Text;

namespace Espresso.Viewer.Controller
{
    public abstract class EspressoMouseHandler : IEspressoMouseHandler
    {
        protected int DOUBLE_CLICK_DELAY = 250;
        
        #region IEspressoMouseHandler Members

        public abstract event MouseDelegate Click;

        public abstract event MouseDelegate DoubleClick;

        public abstract void ProcessClick(object sender, EventArgs e);

        public abstract event MouseDelegate RightClick;

        #endregion
    }
}
