using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace Espresso.Viewer.View
{
    /// <summary>
    /// An interface for classes that draw on controls.
    /// </summary>
    public interface IPainter
    {
        void Paint(object sender, PaintEventArgs args);

        float CompleteRatio
        {
            set;
        }

        Bitmap OldImage
        {
            set;
        }

        Bitmap NewImage
        {
            set;
        }

        string Name
        {
            get;
        }
    }
}
